<?php 
 
include('../dbconnect.php');
include('../phps.php');
ob_start();
session_start();

if( !isset($_SESSION['user']) ) {
 header("Location: ../index.php");
 exit;
}


$date = date('2019-04-16');

echo $date;
function mnltopst($date, $time){

  $convert = new DateTime($date.' '.$time, new DateTimeZone('Asia/Manila'));
  
  
  $convert->setTimezone(new DateTimeZone('America/Los_Angeles'));
  
  $datetime = $convert->format('m/d/Y h:i A');
  
  
  return ($datetime);
  
  
  
  
  }
  
  function psttomnl($date, $time){
  
    $convert = new DateTime($date.' '.$time, new DateTimeZone('America/Los_Angeles'));
    
    
    $convert->setTimezone(new DateTimeZone('Asia/Manila'));
    
    $datetime = $convert->format('m/d/Y h:i A');
    
    
    return ($datetime);
    
    
    
    
    }

?>
<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Super Admin | Team</title>

    <!-- Bootstrap core CSS-->
    <link href="../vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom fonts for this template-->
    <link href="../vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">

    <!-- Page level plugin CSS-->
    <link href="../vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">

    <!-- Custom styles for this template-->
        <link href="../css/sb-admin.css" rel="stylesheet">
    <link href="../css/style.css" rel="stylesheet">

    <link rel="icon" href="../images/logo.jpg" type="image/gif" sizes="16x16">

  </head>

   <body id="page-top">
	<div id="preloader">
   		<img src="../images/loaderS.gif" alt="processing..." height="150px" width="200px"/>
	</div>

  <div id="pageloader">
   <img src="../images/loaderS.gif" alt="processing..." height="150px" width="200px"/>
</div>


    <?php include('uppernav.php')?>
  

      <!-- Sidebar -->
      
      <?php 
      $team = "active";
      $admintools = "active";
      include('sidebar.php');
      ?>
      <div id="content-wrapper">

        <div class="container-fluid">

          <!-- Breadcrumbs-->
          <ol class="breadcrumb">
            <li class="breadcrumb-item">
              <a href="utilpst.php">Team</a>
            </li>
          </ol>

          <table class="table table-hover table-sm">
              <thead>
                  <th>Employee ID</th>
                  <th>Employee Name</th>
                  <th>Schedule</th>
                  <th>Login</th>
                  <th>Late</th>


              </thead>
              <tbody>
                  <?php 
                        $empsql = "SELECT * FROM empinfo";
                        $empres = mysqli_query($conn, $empsql);
                        while($emprow = mysqli_fetch_assoc($empres)){
                            $employee = $emprow['empid'];

                            //get schedule
                            $schedsql="SELECT * FROM schedule WHERE empid='$employee' AND date='$date' ";
                            $schedres = mysqli_query($conn, $schedsql);
                            $schedrow = mysqli_fetch_assoc($schedres);
                            $starttime= $schedrow['starttime'];


                            //gethrs sched 

                             $hrssql="SELECT * FROM schedule WHERE empid='$employee' AND date='$date' AND starttime != 'OFF' AND starttime !='HOLIDAY OFF' ";
                            $hrsres = mysqli_query($conn, $hrssql);
                            $hrsrow = mysqli_fetch_assoc($hrsres);
                            $hrsstarttime = $hrsrow['starttime'];


                            if($schedrow['starttime'] == 'OFF' || $schedrow['starttime'] == 'HOLIDAY OFF'){
                              $hrs = $hrsstarttime;
                             


                            }else{

                              $hrs = $starttime;


                            }

                           $pstsched = mnltopst($date, $hrs);
                           $logindate = date('m/d/Y', strtotime($pstsched));
                       


                           

                            $loginsql = "SELECT * FROM tbl_login WHERE date='$logindate' AND empid='$employee'";
                          $loginres = mysqli_query($conn, $loginsql);
                          $loginrow = mysqli_fetch_assoc($loginres);
            


                          if(mysqli_num_rows($loginres) == 0){

                            $mnltimein = 'ABSENT';

                           


                          }else{
                            $timein = date('h:i A', strtotime($loginrow['timein']));
                            $mnltimein = psttomnl($logindate, $timein);
                            $mnltimein = date('h:i A', strtotime($mnltimein));

                          }

                          

                            



                            echo '<tr> 
                            <td>'.$emprow['empid'].'</td>
                            <td>'.$emprow['firstname'].' '.$emprow['surname'].'</td>
                            <td>'.date('h:i A', strtotime($schedrow['starttime'])).' - '.date('h:i A', strtotime($schedrow['endtime'])).'</td>
                            <td>'.$mnltimein.'</td>
                         
               
                            </tr>';
                        }
                        mysqli_close($conn);


                        
                        
                  ?>
              </tbody>


          </table>



      



        </div>
      <!-- /.content-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" href="login.html">Logout</a>
          </div>
        </div>
      </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="../vendor/jquery/jquery.min.js"></script>
    <script src="../vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="../vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Page level plugin JavaScript-->
    <script src="../vendor/chart.js/Chart.min.js"></script>
    <script src="../vendor/datatables/jquery.dataTables.js"></script>
    <script src="../vendor/datatables/dataTables.bootstrap4.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="../js/sb-admin.min.js"></script>

    <!-- Demo scripts for this page-->
    <script src="../js/demo/datatables-demo.js"></script>
    <script src="../js/demo/chart-area-demo.js"></script>

   
     <script type="text/javascript">
      $('form input').keydown(function (e) {
      if (e.keyCode == 13) {
        e.preventDefault();
        return false;
       }
      });
    </script> 
 

          <script language="javascript" type="text/javascript">
            $(document).ready(function(){
            $("form").on("submit", function(){
                $("#pageloader").fadeIn();
            });//submit

             $('#preloader').fadeOut();
            });//document ready



        </script>
</body>

</html>

